using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace YGNT.QuestionLibrary.Migrations
{
    public partial class addQuestionOriginModified : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsModified",
                table: "QuestionOrigins",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<DateTime>(
                name: "LastModificationTime",
                table: "QuestionOrigins",
                nullable: true);

            migrationBuilder.AddColumn<long>(
                name: "LastModifierUserId",
                table: "QuestionOrigins",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsModified",
                table: "QuestionOrigins");

            migrationBuilder.DropColumn(
                name: "LastModificationTime",
                table: "QuestionOrigins");

            migrationBuilder.DropColumn(
                name: "LastModifierUserId",
                table: "QuestionOrigins");
        }
    }
}
